Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform
Class SystemEvents

    java.lang.Object
      com.sun.squawk.platform.SystemEvents

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  SystemEventsImpl, SystemEventsImpl

    public abstract class SystemEvents

extends Object
implements Runnable

Author:
  dw29446

Field Summary
`protected long` | `max_wait`
`protected TaskExecutor` | `selectRunner`

Constructor Summary
`protected` | `SystemEvents()`

Method Summary
`void` | `cancelIOHandler()` Call to end the run() method.
`void` | `run()` IOHandler run loop.
`void` | `setMaxWait(long max)` Set the maximum time that the system will wait in select
`void` | `startIO()` Start
`protected abstract void` | `waitForEvents(long timout)` Wait for an OS event, with a timeout.
`abstract void` | `waitForReadEvent(int fd)`
`abstract void` | `waitForWriteEvent(int fd)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selectRunner

    protected TaskExecutor selectRunner

### max_wait

    protected long max_wait

Constructor Detail

### SystemEvents

    protected SystemEvents()

Method Detail

### waitForEvents

    protected abstract void waitForEvents(long timout)

  Wait for an OS event, with a timeout. Signal VMThread when event occurs. Try not to allocate if there are no events...

  Parameters:
    `timout` - in ms

### waitForReadEvent

    public abstract void waitForReadEvent(int fd)

### waitForWriteEvent

    public abstract void waitForWriteEvent(int fd)

### startIO

    public void startIO()

  Start

### run

    public void run()

  IOHandler run loop. Wait on select until IO occurs.

  Specified by:
    `run` in interface `Runnable`
  See Also:
    `Thread.run()`

### cancelIOHandler

    public void cancelIOHandler()

  Call to end the run() method.

### setMaxWait

    public void setMaxWait(long max)

  Set the maximum time that the system will wait in select

  Parameters:
    `max` - max wait time in ms. Must be > 0.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"